<?php

/**
 * Meganizer About Page
 * @package Meganizer
 *
 */

if (!class_exists('Meganizer_About_page')):

    class Meganizer_About_page
    {

        function __construct()
        {

            add_action('admin_menu', array($this, 'meganizer_backend_menu'));

        }

        // Add Backend Menu
        function meganizer_backend_menu()
        {

            add_theme_page(esc_html__('Meganizer', 'meganizer'), esc_html__('Meganizer', 'meganizer'), 'activate_plugins', 'meganizer-about', array($this, 'meganizer_main_page'), 1);

        }

        // Settings Form
        function meganizer_main_page()
        {

            require get_template_directory() . '/classes/about-render.php';

        }

    }

    new Meganizer_About_page();

endif;