<?php
/**
 *
 * Front Page
 *
 * @package Meganizer
 */

get_header();


    $meganizer_default = meganizer_get_default_theme_options();
    $meganizer_default = meganizer_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $meganizer_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $meganizer_post_sidebar = esc_attr( get_post_meta( $post->ID, 'meganizer_post_sidebar_option', true ) );
        if( $meganizer_post_sidebar == 'global-sidebar' || empty( $meganizer_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $meganizer_post_sidebar;
        }

    }
    $twp_meganizer_home_sections_1 = get_theme_mod( 'twp_meganizer_home_sections_1', json_encode( $meganizer_default['twp_meganizer_home_sections_1'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_meganizer_home_sections_1 = json_decode( $twp_meganizer_home_sections_1 );

    if( $twp_meganizer_home_sections_1 ){ ?>

        <?php
        foreach ( $twp_meganizer_home_sections_1 as $meganizer_home_section ) {

            $home_section_type = isset( $meganizer_home_section->home_section_type ) ? $meganizer_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'default-banner-area':

                    $ed_horizontal_vertical_slider = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_horizontal_vertical_slider == 'yes' && $paged_active ) {
                        meganizer_horizontal_vertical_slider( $meganizer_home_section , $repeat_times);
                    }

                break;

                case 'main-banner':

                    $ed_slider_blocks = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        meganizer_main_banner( $meganizer_home_section , $repeat_times);
                    }

                break;


                case 'must-read':

                    $ed_must_read = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_must_read == 'yes' && $paged_active ) {
                        meganizer_must_read( $meganizer_home_section , $repeat_times);
                    }

                break;


                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        meganizer_latest_blocks( $meganizer_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        meganizer_tiles_block_section( $meganizer_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        meganizer_banner_block_1_section( $meganizer_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        meganizer_advertise_block( $meganizer_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        meganizer_case_home_widget_area_block( $meganizer_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $meganizer_home_section->section_ed ) ? $meganizer_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        meganizer_you_may_like_block_section( $meganizer_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
